#ifndef SERIALTHREADHANDLE_H
#define SERIALTHREADHANDLE_H

#include <QObject>
#include <QThread>
#include "handle/seriport/rtuport.h"

// 单独线程 处理 称的信息，启动后就不用管了
class SerialThreadHandle : public QObject
{
    Q_OBJECT
public:
    explicit SerialThreadHandle(QObject *parent = nullptr);

public slots:
    void start();

private slots:
    void updateConfig();
private:
    QThread * th;
    RtuPort * port;//t
};

#endif // SERIALTHREADHANDLE_H
